_lscp_connect_t Struct Reference

`#include <server.h>`

## Data Fields

struct _lscp_server_t * | server
lscp_socket_agent_t | client
lscp_event_t | events
struct _lscp_connect_t * | prev
struct _lscp_connect_t * | next

## Detailed Description

Client connection descriptor struct.

## Field Documentation

lscp_socket_agent_t _lscp_connect_t::client

Referenced by lscp_server_broadcast(), lscp_server_result(), main(), and server_callback().

lscp_event_t _lscp_connect_t::events

Referenced by lscp_server_broadcast(), lscp_server_subscribe(), lscp_server_unsubscribe(), and main().

struct _lscp_connect_t* _lscp_connect_t::next

Referenced by lscp_server_broadcast(), and main().

struct _lscp_connect_t* _lscp_connect_t::prev

struct _lscp_server_t* _lscp_connect_t::server

The documentation for this struct was generated from the following file:

- server.h